<?php
require_once "../db/database.php";

// Pārbauda, vai ir iegūts grāmatas id
if(isset($_GET['id'])) {
    // Ja ir iegūts, tad to definē kā grāmatas id
    $bookId = $_GET['id'];

    // Pieprasījums, kas iegūst grāmatas pēc id
    $query = "SELECT * FROM books WHERE id = ?";
    $statement = $mysqli->prepare($query);
    $statement->bind_param("i", $bookId); 
    $statement->execute();
    $result = $statement->get_result();

    // Pārbauda, vai ir atrastas grāmatas
    if($result->num_rows > 0) {
        //Ja ir, tad tās tiek iegūtas
        $result = $result->fetch_assoc();

        //Pārveido rezultātu kā json datus
        echo json_encode($result);
    }
}